# xmpp.h File Reference

`#include <ptlib.h>`
`#include <ptclib/pxml.h>`
`#include <ptlib/notifier_ext.h>`

Go to the source code of this file.

## Namespaces

namespace | XMPP
namespace | XMPP::Disco

## Classes

class | XMPP::JID
class | XMPP::BareJID
class | XMPP::Transport
| This interface is the base class of each XMPP transport class. More...
class | XMPP::Stream
| This class represents a XMPP stream, i.e. More...
class | XMPP::BaseStreamHandler
class | XMPP::Stanza
| XMPP stanzas: the following classes represent the three stanzas (PDUs) defined by the xmpp protocol. More...
class | XMPP::Message
class | XMPP::Presence
class | XMPP::IQ
class | XMPP::Disco::Item
class | XMPP::Identity
class | Info

## Functions

const PCaselessString & | XMPP::LanguageTag ()
| Various constant strings.
const PCaselessString & | XMPP::NamespaceTag ()
const PCaselessString & | XMPP::MessageStanzaTag ()
const PCaselessString & | XMPP::PresenceStanzaTag ()
const PCaselessString & | XMPP::IQStanzaTag ()
const PCaselessString & | XMPP::IQQueryTag ()
| XMPP::PLIST (StanzaList, Stanza)
| XMPP::Disco::ItemList (PXMLElement *list)
PXMLElement * | XMPP::Disco::AsXML (PXMLElement *parent) const
| XMPP::IdentityList (PXMLElement *list)
PXMLElement * | XMPP::AsXML (PXMLElement *parent) const